Subject: [PATCH v2] serial: imx: enable the clocks for console

From: [email-masked] (Greg KH)
Date: Sun, 9 Jun 2013 10:26:28 -0700

On Sun, Jun 09, 2013 at 09:05:47PM +0800, Shawn Guo wrote:
> On Sun, Jun 09, 2013 at 04:34:11PM +0800, Shawn Guo wrote:
> > On Sun, Jun 09, 2013 at 10:01:19AM +0800, Huang Shijie wrote:
> > > The console's clocks are disabled after the uart driver is probed.
> > > It makes that we can see less log from the console now
> > > (though we still can get all the log by the `dmesg`).
> > > 
> > > So enable the clocks for console, and we can see all the log again.
> > > 
> > > This patch also disables the sport->clk_per when we fail to enable
> > > the sport->clk_ipg;
> > > 
> > > Signed-off-by: Huang Shijie <[email-masked]>
> > 
> > Tested-by: Shawn Guo <[email-masked]>
> 
> Sorry.  I have to take that back.
> 
> Though it works fine with BusyBox, I'm getting the following warnings
> when booting with an Ubuntu 13.04 rootfs, in which case imx_startup()
> and imx_shutdown() will be called for a number of iterations.  That
> causes unbalanced clk_prepare_enable vs. clk_disable_unprepare, since
> the clk_prepare_enable is under condition if (!uart_console(port)) in
> imx_startup(), while clk_disable_unprepare in imx_shutdown() is not.

I had just applied this to my tree, should I revert it because of this
problem?

thanks,

greg k-h